Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
connected-accounts
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.ConnectedAccounts.ListAsync(
            id: "id",
            request: new GetUserConnectedAccountsRequestParameters {
                From = "from",
                Take = 1
            }
        );
    }

}
{
  "connected_accounts": [
    {
      "id": "<string>",
      "connection": "<string>",
      "connection_id": "<string>",
      "strategy": "<string>",
      "access_type": "offline",
      "created_at": "2023-11-07T05:31:56Z",
      "scopes": [
        "<string>"
      ],
      "expires_at": "2023-11-07T05:31:56Z",
      "organization_id": "<string>"
    }
  ],
  "next": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to list connected accounts for.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results to return. Defaults to 10 with a maximum of 20

Required range: 1 <= x <= 100

Response

Connected accounts successfully retrieved.

connected_accounts
object[]
required
next
string

The token to retrieve the next page of connected accounts (if there is one)